﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Themes;

namespace ExtendedThemeExample
{
    public class ExtendedOffice2013Theme : RoyalLightTheme
    {

        protected override void ConfigureControlMappings()
        {
            // Pre-set the mappings for all controls via a call
            // to the base implementation of the ConfigureControlMappings method
            base.ConfigureControlMappings();
            string assemblyFullName = typeof(ExtendedOffice2013Theme).Assembly.FullName;

            // Override the mapping of the XamTileManager control
            //Mappings[ControlMappingKeys.XamTileManager] =
            //    ThemeBase.BuildLocationString(assemblyFullName, @"/ExtendedTheme.xamTileManager.xaml");

            Mappings[ControlMappingKeys.MsCoreControls] =
                ThemeBase.BuildLocationString(assemblyFullName, @"/Alice.MSControls.Core.Implicit.xaml");

            Mappings[ControlMappingKeys.XamComboEditor_WpfOnly] =
                ThemeBase.BuildLocationString(assemblyFullName, @"/Alice.xamComboEditor.xaml");
        }
    }
}
